Package ru.bitel.bgbilling.modules.smarthouse.common.service

# Interface FlussonicWatcherService

public interface FlussonicWatcherService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cameraImport(String cameraModel, String cameraSerials)`
  `String`
  `organizationCameras(int organizationId)`
  `String`
  `organizationGet(int id)`
  `void`
  `organizationPresetDelete(int organizationId, int presetId)`
  `void`
  `organizationPresetUpdate(int organizationId, int presetId)`
  `String`
  `organizationUsers(int organizationId)`
  `String`
  `presets(int organizationId)`
  `SearchResult<String>`
  `searchCameras()`
  `SearchResult<String>`
  `searchOrganizations()`

- ## Method Details

  - ### searchOrganizations

    SearchResult<String> searchOrganizations() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### searchCameras

    SearchResult<String> searchCameras() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### cameraImport

    void cameraImport(String cameraModel, String cameraSerials) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### organizationGet

    String organizationGet(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### presets

    String presets(int organizationId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### organizationPresetUpdate

    void organizationPresetUpdate(int organizationId, int presetId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### organizationPresetDelete

    void organizationPresetDelete(int organizationId, int presetId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### organizationUsers

    String organizationUsers(int organizationId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### organizationCameras

    String organizationCameras(int organizationId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`